﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>
<body>
    <!--

        Инкремент — операция, во многих языках программирования используемая 
        для увеличения значения переменной на единицу.

        Имеется префиксная и постфиксная форма инкремента. 
        Префиксный инкремент выполняется перед использованием переменной.
        Постфиксный инкремент выполняется после использования переменной.

-->
        <script>

                var a = 9;
        
                document.write("Постфиксный инкремент <br />");
                document.write(a + "<br />");   // выведет 9
                a++;  
                document.write(a + "<br />");   // выведет 10
                document.write(a++ + "<br />"); // выведет 10
                document.write(a + "<br />");   // выведет 11

        
                document.write("<hr/>");

                document.write("Префиксный инкремент <br />");
                document.write(a + "<br />");   // выведет 11
                ++a; 
                document.write(a + "<br />");   // выведет 12
                document.write(++a + "<br />"); // выведет 13
                document.write(a + "<br />");   // выведет 13

                console.group();
                console.log(a);
                console.log(2 + a++)
                console.log( a); 
                console.groupEnd();
                a = 13;
                console.group()
                console.log(a)
                console.log( 2 + ++a)
                console.log( a)
                console.groupEnd()
        
            </script>
</body>
</html>